import 'package:flutter/material.dart';
import 'package:get/get.dart';

import '../../constant/colors.dart';
import '../../constant/style.dart';

class MyScafolld extends StatelessWidget {
  const MyScafolld({
    super.key,
    required this.title,
    required this.body,
    this.action,
    required this.isleading,
  });

  final String title;
  final List<Widget> body;
  final Widget? action;
  final bool isleading;

  @override
  Widget build(BuildContext context) {
    final theme = Theme.of(context);
    return Scaffold(
        backgroundColor: theme.scaffoldBackgroundColor,
        appBar: AppBar(
          backgroundColor: theme.appBarTheme.backgroundColor,
          elevation: 0,
          leading: isleading
              ? IconButton(
                  onPressed: () {
                    Navigator.maybePop(context);
                  },
                  icon: const Icon(
                    Icons.arrow_back_ios_new,
                    color: AppColor.primaryColor,
                  ),
                )
              : const SizedBox(),
          actions: [
            action ??
                Icon(
                  Icons.clear,
                  color: Colors.transparent,
                )
          ],
          title: Text(
            title,
            style: theme.textTheme.titleLarge?.copyWith(fontSize: 24, fontWeight: FontWeight.bold),
          ),
        ),
        body: SafeArea(child: Stack(children: body)));
  }
}

